Infra APIDomains

Activate custom domain

Verifies DNS records and activates the domain

POST/api/v1/domains/activate

Verifies DNS records and activates the domain

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Request Body

application/json

Domain to activate

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/domains/activate" \  -H "Content-Type: application/json" \  -d '{}'
{  "domain": "string",  "external_url": "string",  "message": "string",  "service_id": "string",  "verification_status": "pending"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}